<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>AbstractParser (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractParser (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":6,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractParser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.util.svg</a></div>
<h2 title="Class AbstractParser" class="title">Class AbstractParser</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.util.svg.AbstractParser</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="Parser.html" title="interface in hk.quantr.mxgraph.util.svg">Parser</a></code></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="NumberParser.html" title="class in hk.quantr.mxgraph.util.svg">NumberParser</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="typeNameLabel">AbstractParser</span>
extends java.lang.Object
implements <a href="Parser.html" title="interface in hk.quantr.mxgraph.util.svg">Parser</a></pre>
<div class="block">This class is the superclass of all parsers. It provides localization
 and error handling methods.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#BUNDLE_CLASSNAME">BUNDLE_CLASSNAME</a></span></code></th>
<td class="colLast">
<div class="block">The default resource bundle base name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#current">current</a></span></code></th>
<td class="colLast">
<div class="block">The current character.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="ErrorHandler.html" title="interface in hk.quantr.mxgraph.util.svg">ErrorHandler</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#errorHandler">errorHandler</a></span></code></th>
<td class="colLast">
<div class="block">The error handler.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="NormalizingReader.html" title="class in hk.quantr.mxgraph.util.svg">NormalizingReader</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#reader">reader</a></span></code></th>
<td class="colLast">
<div class="block">The normalizing reader.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">AbstractParser</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createErrorMessage(java.lang.String,java.lang.Object%5B%5D)">createErrorMessage</a></span>&#8203;(java.lang.String&nbsp;key,
                  java.lang.Object[]&nbsp;args)</code></th>
<td class="colLast">
<div class="block">Returns a localized error message.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected abstract void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#doParse()">doParse</a></span>()</code></th>
<td class="colLast">
<div class="block">Method responsible for actually parsing data after AbstractParser
 has initialized itself.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBundleClassName()">getBundleClassName</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the resource bundle base name.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCurrent()">getCurrent</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the current character value.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#parse(java.lang.String)">parse</a></span>&#8203;(java.lang.String&nbsp;s)</code></th>
<td class="colLast">
<div class="block">Parses the given string.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#reportCharacterExpectedError(char,int)">reportCharacterExpectedError</a></span>&#8203;(char&nbsp;expectedChar,
                            int&nbsp;currentChar)</code></th>
<td class="colLast">
<div class="block">simple api to call often reported error.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#reportError(java.lang.String,java.lang.Object%5B%5D)">reportError</a></span>&#8203;(java.lang.String&nbsp;key,
           java.lang.Object[]&nbsp;args)</code></th>
<td class="colLast">
<div class="block">Signals an error to the error handler.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#reportUnexpectedCharacterError(int)">reportUnexpectedCharacterError</a></span>&#8203;(int&nbsp;currentChar)</code></th>
<td class="colLast">
<div class="block">simple api to call often reported error.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setErrorHandler(hk.quantr.mxgraph.util.svg.ErrorHandler)">setErrorHandler</a></span>&#8203;(<a href="ErrorHandler.html" title="interface in hk.quantr.mxgraph.util.svg">ErrorHandler</a>&nbsp;handler)</code></th>
<td class="colLast">
<div class="block">Allow an application to register an error event handler.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#skipCommaSpaces()">skipCommaSpaces</a></span>()</code></th>
<td class="colLast">
<div class="block">Skips the whitespaces and an optional comma.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#skipSpaces()">skipSpaces</a></span>()</code></th>
<td class="colLast">
<div class="block">Skips the whitespaces in the current reader.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="BUNDLE_CLASSNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUNDLE_CLASSNAME</h4>
<pre>public static final&nbsp;java.lang.String BUNDLE_CLASSNAME</pre>
<div class="block">The default resource bundle base name.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#hk.quantr.mxgraph.util.svg.AbstractParser.BUNDLE_CLASSNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="errorHandler">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>errorHandler</h4>
<pre>protected&nbsp;<a href="ErrorHandler.html" title="interface in hk.quantr.mxgraph.util.svg">ErrorHandler</a> errorHandler</pre>
<div class="block">The error handler.</div>
</li>
</ul>
<a id="reader">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reader</h4>
<pre>protected&nbsp;<a href="NormalizingReader.html" title="class in hk.quantr.mxgraph.util.svg">NormalizingReader</a> reader</pre>
<div class="block">The normalizing reader.</div>
</li>
</ul>
<a id="current">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>current</h4>
<pre>protected&nbsp;int current</pre>
<div class="block">The current character.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractParser</h4>
<pre>public&nbsp;AbstractParser()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getCurrent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrent</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getCurrent()</pre>
<div class="block">Returns the current character value.</div>
</li>
</ul>
<a id="setErrorHandler(hk.quantr.mxgraph.util.svg.ErrorHandler)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setErrorHandler</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setErrorHandler&#8203;(<a href="ErrorHandler.html" title="interface in hk.quantr.mxgraph.util.svg">ErrorHandler</a>&nbsp;handler)</pre>
<div class="block">Allow an application to register an error event handler.

 <p>If the application does not register an error event handler,
 all error events reported by the parser will cause an exception
 to be thrown.

 <p>Applications may register a new or different handler in the
 middle of a parse, and the parser must begin using the new
 handler immediately.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Parser.html#setErrorHandler(hk.quantr.mxgraph.util.svg.ErrorHandler)">setErrorHandler</a></code>&nbsp;in interface&nbsp;<code><a href="Parser.html" title="interface in hk.quantr.mxgraph.util.svg">Parser</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - The error handler.</dd>
</dl>
</li>
</ul>
<a id="parse(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parse</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;parse&#8203;(java.lang.String&nbsp;s)
           throws <a href="ParseException.html" title="class in hk.quantr.mxgraph.util.svg">ParseException</a></pre>
<div class="block">Parses the given string.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Parser.html#parse(java.lang.String)">parse</a></code>&nbsp;in interface&nbsp;<code><a href="Parser.html" title="interface in hk.quantr.mxgraph.util.svg">Parser</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="ParseException.html" title="class in hk.quantr.mxgraph.util.svg">ParseException</a></code></dd>
</dl>
</li>
</ul>
<a id="doParse()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doParse</h4>
<pre class="methodSignature">protected abstract&nbsp;void&nbsp;doParse()
                         throws <a href="ParseException.html" title="class in hk.quantr.mxgraph.util.svg">ParseException</a>,
                                java.io.IOException</pre>
<div class="block">Method responsible for actually parsing data after AbstractParser
 has initialized itself.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="ParseException.html" title="class in hk.quantr.mxgraph.util.svg">ParseException</a></code></dd>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a id="reportError(java.lang.String,java.lang.Object[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reportError</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;reportError&#8203;(java.lang.String&nbsp;key,
                           java.lang.Object[]&nbsp;args)
                    throws <a href="ParseException.html" title="class in hk.quantr.mxgraph.util.svg">ParseException</a></pre>
<div class="block">Signals an error to the error handler.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - The message key in the resource bundle.</dd>
<dd><code>args</code> - The message arguments.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="ParseException.html" title="class in hk.quantr.mxgraph.util.svg">ParseException</a></code></dd>
</dl>
</li>
</ul>
<a id="reportCharacterExpectedError(char,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reportCharacterExpectedError</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;reportCharacterExpectedError&#8203;(char&nbsp;expectedChar,
                                            int&nbsp;currentChar)</pre>
<div class="block">simple api to call often reported error.
 Just a wrapper for reportError().</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>expectedChar</code> - what caller expected</dd>
<dd><code>currentChar</code> - what caller found</dd>
</dl>
</li>
</ul>
<a id="reportUnexpectedCharacterError(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reportUnexpectedCharacterError</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;reportUnexpectedCharacterError&#8203;(int&nbsp;currentChar)</pre>
<div class="block">simple api to call often reported error.
 Just a wrapper for reportError().</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>currentChar</code> - what the caller found and didnt expect</dd>
</dl>
</li>
</ul>
<a id="createErrorMessage(java.lang.String,java.lang.Object[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createErrorMessage</h4>
<pre class="methodSignature">protected&nbsp;java.lang.String&nbsp;createErrorMessage&#8203;(java.lang.String&nbsp;key,
                                              java.lang.Object[]&nbsp;args)</pre>
<div class="block">Returns a localized error message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - The message key in the resource bundle.</dd>
<dd><code>args</code> - The message arguments.</dd>
</dl>
</li>
</ul>
<a id="getBundleClassName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBundleClassName</h4>
<pre class="methodSignature">protected&nbsp;java.lang.String&nbsp;getBundleClassName()</pre>
<div class="block">Returns the resource bundle base name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>BUNDLE_CLASSNAME.</dd>
</dl>
</li>
</ul>
<a id="skipSpaces()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>skipSpaces</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;skipSpaces()
                   throws java.io.IOException</pre>
<div class="block">Skips the whitespaces in the current reader.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a id="skipCommaSpaces()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>skipCommaSpaces</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;skipCommaSpaces()
                        throws java.io.IOException</pre>
<div class="block">Skips the whitespaces and an optional comma.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractParser.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
